
import java.awt.*;
/* $Id: Account.java 1613 2011-04-28 04:02:39Z terescoj $ */

/**
 * A Simple Bank Account.
 * 
 * @author unknown
 */


public class Account {

  private int balance;
  private Label display;

  public Account(int start, Label aDisplay) {
    balance = start;
    display = aDisplay;
  }

  synchronized public int getBalance() {
    return balance;
  }

  synchronized public void changeBalance(int amount) {
    int newBalance = balance + amount;
    display.setText("" + newBalance);
    balance = newBalance;
  }
}